## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# NOTE(mhayden): The tests require network access to talk to some Azure
# endpoints, so the tests are disabled for now. 😞
%bcond_with     tests

%global         srcname     azure-batch

Name:           python-%{srcname}
Version:        12.0.0
Release:        %autorelease
Summary:        Microsoft Azure Batch Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-batch)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure Batch Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Tue Mar 01 2022 Major Hayden <major@mhtx.net> 12.0.0-1
- Update to 12.0.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 11.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 11.0.0-3
- Clean up for consistency

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 11.0.0-2
- Move obsoletes into subpackage

* Wed Aug 11 2021 Major Hayden <major@mhtx.net> 11.0.0-1
- Update to 11.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 10.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Major Hayden <major@mhtx.net> 10.0.0-1
- Initial import (#1971717)
